var token = $.cookie("token");
var id = helper.request.queryString("ids");
var CallID = helper.request.queryString("CallID");
var cusid;
$(document).ready(function() {
    if(id) {
        getRegisterDetail()
    } else if (CallID) {
        getRegisterDetailByCallId()
    }
})

//保存按钮
$('.customerSubmit').click(function() {
    $.post(huayi.config.callcenter_url + 'RegRecords/Save', {
        "token": $.cookie("token"),
        id:id,
        token: $.cookie("token"),
        cusid: cusid, //档案id
        direction: 0, // 0来电，1去电
        type: $('#formRegistrationType input[name="type"]:checked').val(), //登记类型
        complained: $("#formComplainedUnit").val(), //被投诉单位
        content: $("#formRegistrationContent").val(), //登记内容/投诉事项
        remark: $("#formRegistrationRemark").val(), //备注
        tel: $("#formTel").val(),
        callid: CallID,
    }, function(result) {
        result = $.parseJSON(result);
        if(result.state.toLowerCase() == "success") {
            $("#activess").val(result.data);
            var index = parent.layer.getFrameIndex(window.name); //先得到当前iframe层的索引
            parent.layer.close(index); //再执行关闭
            parent.layer.msg("保存成功！");
            parent.$("#registerList").bootstrapTable('refresh');
        }
    })
})

//通过id获取登记信息
function getRegisterDetail() {
    $.get(huayi.config.callcenter_url + 'RegRecords/GetDetails', {
        id: id,
        "token": $.cookie("token")
    }, function(result) {
        result = $.parseJSON(result);
        if(result.state.toLowerCase() == "success") {
            var con = result.data.model;
            cusid = con.F_CusID;
            CallID = con.F_CallId;
            $("#formRegistrationType input[name='type'][value='" + con.F_Type +"']").prop("checked","checked"); //登记类型
            $("#formComplainedUnit").val(con.F_Complained); //被投诉单位
            $("#formRegistrationContent").val(con.F_Content); //登记内容/投诉事项
            $("#formRegistrationRemark").val(con.F_Remark); //备注
            var cusmodel = result.data.cusmodel
            $("#formName").val(cusmodel.F_Name);
            $("#formTel").val(cusmodel.F_Phone);
            $("#formSex").val(cusmodel.F_Sex)
            $("#formProvince option:selected").text(cusmodel.F_Province)
            $("#formProvince option:selected").val(cusmodel.F_Province)
            $("#formCity option:selected").text(cusmodel.F_City)
            $("#formCity option:selected").val(cusmodel.F_City)
            $("#formCounty option:selected").text(cusmodel.F_County)
            $("#formCounty option:selected").val(cusmodel.F_County)
            $("#formAddress").val(cusmodel.F_Address)

        }
    })
}

//通过callid获取登记信息
function getRegisterDetailByCallId() {
    $.get(huayi.config.callcenter_url + 'RegRecords/GetCallidDetails', {
        callid: CallID,
        "token": $.cookie("token")
    }, function(result) {
        result = $.parseJSON(result);
        if(result.state.toLowerCase() == "success") {
            var con = result.data.model;
            cusid = con.F_CusID;
            CallID = con.F_CallId;
            id = con.F_ID;
            $("#formRegistrationType input[name='type'][value='" + con.F_Type +"']").prop("checked","checked"); //登记类型
            $("#formComplainedUnit").val(con.F_Complained); //被投诉单位
            $("#formRegistrationContent").val(con.F_Content); //登记内容/投诉事项
            $("#formRegistrationRemark").val(con.F_Remark); //备注
            var cusmodel = result.data.cusmodel
            $("#formName").val(cusmodel.F_Name);
            $("#formTel").val(cusmodel.F_Phone);
            $("#formSex").val(cusmodel.F_Sex)
            $("#formProvince option:selected").text(cusmodel.F_Province)
            $("#formProvince option:selected").val(cusmodel.F_Province)
            $("#formCity option:selected").text(cusmodel.F_City)
            $("#formCity option:selected").val(cusmodel.F_City)
            $("#formCounty option:selected").text(cusmodel.F_County)
            $("#formCounty option:selected").val(cusmodel.F_County)
            $("#formAddress").val(cusmodel.F_Address)
        }
    })
}